Agda-2.3.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None

Agda.Syntax.Abstract.Pretty

Synopsis

- showA :: (Show c, ToConcrete a c) => a -> TCM String
- prettyA :: (Pretty c, ToConcrete a c) => a -> TCM Doc
- showATop :: (Show c, ToConcrete a c) => a -> TCM String
- prettyATop :: (Pretty c, ToConcrete a c) => a -> TCM Doc

# Documentation

showA :: (Show c, ToConcrete a c) => a -> TCM String

prettyA :: (Pretty c, ToConcrete a c) => a -> TCM Doc

showATop :: (Show c, ToConcrete a c) => a -> TCM String

Variant of `showA` which does not insert outermost parentheses.

prettyATop :: (Pretty c, ToConcrete a c) => a -> TCM Doc

Variant of `prettyA` which does not insert outermost parentheses.